/* Ensure modal appears above promo banner */
#forgot-password-popup {
    z-index: 1055;
}

#forgot-password-popup .forgot-password-modal-content {
    border-radius: 30px;
    overflow: hidden;
    padding: 1.5rem 5rem;
    background-color: #fff;
    color: #000;
}

#forgot-password-popup .forgot-password-title {
    font-weight: 700;
    font-size: 30px;
    margin: 10px 0 20px;
    color: #000;
}

#forgot-password-popup .form-control {
    border-radius: 30px;
    border: 1.5px solid #000;
    padding: 0.75rem 1.5rem;
    font-size: 16px;
    color: #000;
}

#forgot-password-popup .form-control::placeholder {
    opacity: 0.5;
    font-weight: bold;
    font-size: 15px;
    color: #000;
}

#forgot-password-popup .link-text {
    cursor: pointer;
    display: inline-block;
    padding: 5px;
    color: #00aeef;
}

#forgot-password-popup .forgot-password-btn {
    display: inline-block;
    border-radius: 30px;
    background-color: #ec008c;
    color: #ffffff;
    font-size: 20px;
    font-weight: bold;
    width: 100%;
    padding: 0.75rem;
    text-decoration: none;
    text-align: center;
    border: none;
    transition: background-color 0.2s ease;
}

#forgot-password-popup .forgot-password-btn:hover {
    background-color: #c70076;
}

#forgot-password-popup .logo-title {
    display: flex;
    justify-content: center;
}

#forgot-password-popup .custom-close {
    border: 2px solid #000; /* circle border */
    border-radius: 50%;
}